Bug 429464 - wsdl2py fails to execute
wsdl2py fails to execute
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-ZSI (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Extras Quality Assurance
:
Depends On: 430344
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-20 13:21 EST by Thorsten Kollegger
Modified: 2013-01-10 05:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:49:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thorsten Kollegger 2008-01-20 13:21:19 EST
Description of problem:
/usr/bin/wsdl2py fails during program execution. Error message points to a
missing PyXML, which is however installed on the system.

Version-Release number of selected component (if applicable):
python-ZSI-2.0-3.fc8
PyXML-0.8.4-7

How reproducible:
Always(?)

Steps to Reproduce:
1. run /usr/bin/wsdl2py
  
Actual results:
$ /usr/bin/wsdl2py
Traceback (most recent call last):
  File "/usr/bin/wsdl2py", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 2561, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: PyXML>=0.8.3


Expected results:
A working wsdl2py, e.g.
$ /usr/bin/wsdl2py
Must specify either --file or --url option

Additional info:
PyXML-0.8.4-7 from the f8 repository is installed on the system. Removing "PyXML
>= 0.8.3" from
/usr/lib/python2.5/site-packages/ZSI-2.0-py2.5.egg-info/requires.txt results in
a working wsdl2py.
Comment 1 Michał Bentkowski 2008-01-26 07:35:34 EST
This seems to be caused by PyXML - its non-devel packages have egg-info, its 
devel has. ZSI just looks for egg-info and it doesn't exist.
Would you submit a bug against PyXML with request to build its new release under
F-8 and F-7?
Comment 2 Thorsten Kollegger 2008-01-26 11:25:04 EST
Thanks, I submitted a bug against PyXML with the request to build the new
version for f8 and f7 (https://bugzilla.redhat.com/show_bug.cgi?id=430344).
Setting it as a dependency of this bug.
Comment 3 Bug Zapper 2008-11-26 04:30:03 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:49:22 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.